/* CSS Document */
@import url('https://fonts.googleapis.com/css?family=Open+Sans&display=swap');
@import url('https://fonts.googleapis.com/css?family=Raleway&display=swap');

*,
::before,
::after {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  background: #222; 
/*  background: grey; test body*/
  font-family: Raleway, Helvetica, sans-serif;
  position: relative;
/*  font-size:150%; */
}

/* New Stacking Context with Fixed */
.side-nav-left, .side-nav-right {
  position: fixed;
  height: 100vh;
/*  left: 0; origine */
  top: 0;
  z-index:10;
}

.side-nav-left {
  left: 0;
}
.side-nav-right {
  right: 0;
}
/* To hide the sub-nav */
.wrapper {
/*  background: #333; origine */
  background: pink; /* left column */
  height: 100vh;
/*  width: 5em; */
  width: 2.5em;
}

.three-dots-container {
  display: flex;
  justify-content: center;
  align-items: center;
/*  height: 60px; origine */
/*  height: 30px; */
  height: 4.5vh; /* image left top 40px */
  background: grey; /* new  left column image */
}
.dot {
  flex-shrink: 0;
/*  margin: 10px 3px; origine  */
  margin: 1px 1px;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: #000;
}
/*
.d1 {background: crimson;}
.d2 {background: yellow;}
.d3 {background: lightgreen;}
origine */
.d1 {background: white;}
.d2 {background: white;}
.d3 {background: white;}

.nav-bloc {
/*  padding: 20px 0;  espace entre les icones */
  padding: 10px 0;
  display: flex;
  justify-content: center;
  cursor: pointer;
  border-bottom: 1px solid #f2f2f21e;
}
.nav-bloc:hover {
  background: rgb(24, 24, 24);
}
.nav-bloc:hover .sub-nav {
  transform: translateX(75px);
}
.nav-bloc svg {
  width: 25px;
  fill: #f2f2f2;
  transition:  0.2s ease-in-out ;
}
.nav-bloc:hover svg {
  fill: #50bddf;
}
.sub-nav {
  width: 200px;
  height: 100vh;
  position: absolute;
/*  top: 0;  origine  */
  top: 4.5vh; /* top: 4.5vh; 15px */
/*  left: 0;  origine  */
  left: -2.5em;
  background: #333;
  z-index: -1;
  color: white;
  /* Hidden at the left side */
  transform: translateX(-100%);
  transition: transform 0.2s ease-in-out;
  border-right: 2px solid #000;
  border-left: 2px solid #000;
}


.sub-nav h2, .sub-nav h3, .sub-nav h4, .sub-nav h5, .sub-nav h6 {
  font-family: open sans, sans-serif;
  height: 60px;
  padding: 0 1em;
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #222;
}
.sub-nav ul {
  margin: 0;
  padding: 0;
  list-style-type: none;
}
.sub-nav li {
  display: flex;
  margin: 0;
  padding: 0;
  border-bottom: 1px solid rgb(105, 105, 105);
}
.sub-nav li.select {
  background: rgba(92, 92, 92, 0.555);
}
.sub-nav li:hover {
  background: rgba(160, 160, 160, 0.555);
}
.sub-nav li a {
   color: #f2f2f2;
   text-decoration: none;
   padding: 15px 20px;
   width: 100%;
}



.wrapper-right {
/*  background: #333; origine */
  background: pink; /* left column */
  height: 100vh;
/*  width: 5em; */
  width: 2.5em;
/*  left: 190px; */
  left: 0px;
}

.nav-bloc-right {
/*  padding: 20px 0;  espace entre les icones */
  padding: 10px 0;
  display: flex;
/*  justify-content: center; */
  justify-content: center;
  cursor: pointer;
  border-bottom: 1px solid #f2f2f21e;
  left: 200px;
}
.nav-bloc-right:hover {
  background: rgb(24, 24, 24);
}
.nav-bloc-right:hover .sub-nav-right {
  /*transform: translateX(75px);*/
  transform: translateX(-200px);
}
.nav-bloc-right svg {
  width: 25px;
  fill: #f2f2f2;
/*  transition:  0.2s ease-in-out ; */
  /*transition:  0.2s ease-in-out ;*/
}
.nav-bloc-right:hover svg {
  fill: #50bddf;
}

.sub-nav-right {
  width: 200px;
  height: 100vh;
  position: absolute;
/*  top: 0;  origine  */
  top: 4.5vh; /* 15px */
/*  left: 0;  origine  */
/*  left: -2.5em;*/
  left: 0;
  background: #333;
  z-index: -1;
  color: white;
  /* Hidden at the left side */
/*  transform: translateX(-100%); */
  /*transform: translateX(-100%);*/
  transform: translateX(100%);
/*  transition: transform 0.2s ease-in-out; */
  transition: transform 0.2s ease-in-out; /* ??? */
  border-right: 2px solid #000;
  border-left: 2px solid #000;
}

.sub-nav-right h2, .sub-nav-right h3, .sub-nav-right h4, .sub-nav-right h5, .sub-nav-right h6 {
  font-family: open sans, sans-serif;
  height: 60px;
  padding: 0 1em;
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #222;
}
.sub-nav-right ul {
  margin: 0;
  padding: 0;
  list-style-type: none;
}
.sub-nav-right li {
  display: flex;
  margin: 0;
  padding: 0;
  border-bottom: 1px solid rgb(105, 105, 105);
}
.sub-nav-right li.select {
  background: rgba(92, 92, 92, 0.555);
}
.sub-nav-right li:hover {
  background: rgba(160, 160, 160, 0.555);
}
.sub-nav-right li a {
   color: #f2f2f2;
   text-decoration: none;
   padding: 15px 20px;
   width: 100%;
}
/*
*/

.main-content {
  text-align: justify;
  text-justify: inter-character;
/*  margin-left: 5em;  origine  */
  margin-left: 0em;
}

.menu-languages {
position:fixed;
background:white;
right:0;
width:100px;
/*height:100px;*/
/*display:block;*/
display:none;
/*transition:  0.2s ease-in-out ;*/
}

@media (max-width: 640px) {
  .main-content {
    text-align: start;
  }
}
.main-content section {
    color: #f3f3f3;
    max-width: 80%;
/*    margin: 0 auto 5em auto;  origine  */
    margin: 0 auto 2.5em auto;
    font-size: 18px;
}
@media (max-width: 640px) {
  .main-content section {
    font-size: 15px;
    max-width: 85%;
  }
}
.main-content h1 {
  font-family: Open Sans, sans-serif;
  text-align: center;
  margin: 30px 0;
  font-size: 40px;
}
@media (max-width: 640px) {
  .main-content h1 {
    font-size: 25px;
  }
}
.main-content ul > li {
    margin: 0.7em 0;
}
.main-content ul > ul > li {
    margin: 0.5em 0;
}
.main-content b {
    color: rgb(122, 121, 121);
    font-size: 20px;
}
.main-content a {
    color: rgb(81, 141, 219);
    text-decoration: none;
}
.main-content img {
    background-color: #f2f2f2;
    padding: 0.7em;
    margin: 0 0.5em;
    border: solid 1px rgb(105, 105, 105);
    border-radius: 5px;
    vertical-align: middle;
}

.band-warning {
    background-color: rgb(247, 236, 95);
/*    margin-left: 5em; origine */
    margin-left: 2.5em;
}
.band-warning p {
    font-size: 0;
    text-align: center;
    color: rgb(53, 53, 53);
    margin: 0 auto;
    padding: 1.5em 0;
    max-width: 85%;
}
@media (max-width: 640px) {
  .band-warning p {
    max-width: 90%;
  }
}

footer {
    background-color: rgb(100, 100, 100);
/*    margin-left: 5em;  origine   */
/*    margin-left: 2.5em; */
    margin-left: 0em;
    position: fixed; 
    bottom: 0; 
    left: 0; 
    right: 0
}
footer p {
    font-size: 15px;
    text-align: center;
    color: rgb(255, 255, 255);
    margin: 0 auto;
/*    padding: 1.5em 0;  origine */
    padding: .5em 0;
/*    max-width: 85%; */
  /*  max-width: 100%; */
}
@media (max-width: 640px) {
  footer p {
    max-width: 90%;  
/*    max-width: 91hw; */
  }
}
